// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary/technology_crop_processing.proto

package dictionary

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/adhocguru/fcp/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type TechnologyCropProcessing struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                      int64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ProductId               int64                 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	ConsumptionNormMin      string                `protobuf:"bytes,3,opt,name=consumption_norm_min,json=consumptionNormMin,proto3" json:"consumption_norm_min,omitempty"`
	ConsumptionNormMax      string                `protobuf:"bytes,4,opt,name=consumption_norm_max,json=consumptionNormMax,proto3" json:"consumption_norm_max,omitempty"`
	LastTreatmentTerm       string                `protobuf:"bytes,5,opt,name=last_treatment_term,json=lastTreatmentTerm,proto3" json:"last_treatment_term,omitempty"`
	MaxTreatmentCount       string                `protobuf:"bytes,6,opt,name=max_treatment_count,json=maxTreatmentCount,proto3" json:"max_treatment_count,omitempty"`
	Experience              string                `protobuf:"bytes,7,opt,name=experience,proto3" json:"experience,omitempty"`
	AmountUnitText          string                `protobuf:"bytes,8,opt,name=amount_unit_text,json=amountUnitText,proto3" json:"amount_unit_text,omitempty"`
	AmountUnitId            int64                 `protobuf:"varint,9,opt,name=amount_unit_id,json=amountUnitId,proto3" json:"amount_unit_id,omitempty"`
	AreaUnitText            string                `protobuf:"bytes,10,opt,name=area_unit_text,json=areaUnitText,proto3" json:"area_unit_text,omitempty"`
	AreaUnitId              int64                 `protobuf:"varint,11,opt,name=area_unit_id,json=areaUnitId,proto3" json:"area_unit_id,omitempty"`
	ConsumptionNormMinFluid string                `protobuf:"bytes,12,opt,name=consumption_norm_min_fluid,json=consumptionNormMinFluid,proto3" json:"consumption_norm_min_fluid,omitempty"`
	ConsumptionNormMaxFluid string                `protobuf:"bytes,13,opt,name=consumption_norm_max_fluid,json=consumptionNormMaxFluid,proto3" json:"consumption_norm_max_fluid,omitempty"`
	AmountUnitFluid         string                `protobuf:"bytes,14,opt,name=amount_unit_fluid,json=amountUnitFluid,proto3" json:"amount_unit_fluid,omitempty"`
	AreaUnitFluid           string                `protobuf:"bytes,15,opt,name=area_unit_fluid,json=areaUnitFluid,proto3" json:"area_unit_fluid,omitempty"`
	WatingTime              string                `protobuf:"bytes,16,opt,name=wating_time,json=watingTime,proto3" json:"wating_time,omitempty"`
	WatingTerms             string                `protobuf:"bytes,17,opt,name=wating_terms,json=watingTerms,proto3" json:"wating_terms,omitempty"`
	Features                string                `protobuf:"bytes,18,opt,name=features,proto3" json:"features,omitempty"`
	Hash                    *wrappers.StringValue `protobuf:"bytes,21,opt,name=hash,proto3" json:"hash,omitempty"`
	Deleted                 *wrappers.BoolValue   `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
	CreatedBy               *wrappers.StringValue `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	CreatedAt               *timestamp.Timestamp  `protobuf:"bytes,24,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedBy               *wrappers.StringValue `protobuf:"bytes,25,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
	UpdatedAt               *timestamp.Timestamp  `protobuf:"bytes,26,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *TechnologyCropProcessing) Reset() {
	*x = TechnologyCropProcessing{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TechnologyCropProcessing) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TechnologyCropProcessing) ProtoMessage() {}

func (x *TechnologyCropProcessing) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TechnologyCropProcessing.ProtoReflect.Descriptor instead.
func (*TechnologyCropProcessing) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP(), []int{0}
}

func (x *TechnologyCropProcessing) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *TechnologyCropProcessing) GetProductId() int64 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *TechnologyCropProcessing) GetConsumptionNormMin() string {
	if x != nil {
		return x.ConsumptionNormMin
	}
	return ""
}

func (x *TechnologyCropProcessing) GetConsumptionNormMax() string {
	if x != nil {
		return x.ConsumptionNormMax
	}
	return ""
}

func (x *TechnologyCropProcessing) GetLastTreatmentTerm() string {
	if x != nil {
		return x.LastTreatmentTerm
	}
	return ""
}

func (x *TechnologyCropProcessing) GetMaxTreatmentCount() string {
	if x != nil {
		return x.MaxTreatmentCount
	}
	return ""
}

func (x *TechnologyCropProcessing) GetExperience() string {
	if x != nil {
		return x.Experience
	}
	return ""
}

func (x *TechnologyCropProcessing) GetAmountUnitText() string {
	if x != nil {
		return x.AmountUnitText
	}
	return ""
}

func (x *TechnologyCropProcessing) GetAmountUnitId() int64 {
	if x != nil {
		return x.AmountUnitId
	}
	return 0
}

func (x *TechnologyCropProcessing) GetAreaUnitText() string {
	if x != nil {
		return x.AreaUnitText
	}
	return ""
}

func (x *TechnologyCropProcessing) GetAreaUnitId() int64 {
	if x != nil {
		return x.AreaUnitId
	}
	return 0
}

func (x *TechnologyCropProcessing) GetConsumptionNormMinFluid() string {
	if x != nil {
		return x.ConsumptionNormMinFluid
	}
	return ""
}

func (x *TechnologyCropProcessing) GetConsumptionNormMaxFluid() string {
	if x != nil {
		return x.ConsumptionNormMaxFluid
	}
	return ""
}

func (x *TechnologyCropProcessing) GetAmountUnitFluid() string {
	if x != nil {
		return x.AmountUnitFluid
	}
	return ""
}

func (x *TechnologyCropProcessing) GetAreaUnitFluid() string {
	if x != nil {
		return x.AreaUnitFluid
	}
	return ""
}

func (x *TechnologyCropProcessing) GetWatingTime() string {
	if x != nil {
		return x.WatingTime
	}
	return ""
}

func (x *TechnologyCropProcessing) GetWatingTerms() string {
	if x != nil {
		return x.WatingTerms
	}
	return ""
}

func (x *TechnologyCropProcessing) GetFeatures() string {
	if x != nil {
		return x.Features
	}
	return ""
}

func (x *TechnologyCropProcessing) GetHash() *wrappers.StringValue {
	if x != nil {
		return x.Hash
	}
	return nil
}

func (x *TechnologyCropProcessing) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

func (x *TechnologyCropProcessing) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *TechnologyCropProcessing) GetCreatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *TechnologyCropProcessing) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

func (x *TechnologyCropProcessing) GetUpdatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type TechnologyCropProcessingFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        *wrappers.Int64Value `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ProductId *wrappers.Int64Value `protobuf:"bytes,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	Deleted   *wrappers.BoolValue  `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
}

func (x *TechnologyCropProcessingFilter) Reset() {
	*x = TechnologyCropProcessingFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TechnologyCropProcessingFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TechnologyCropProcessingFilter) ProtoMessage() {}

func (x *TechnologyCropProcessingFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TechnologyCropProcessingFilter.ProtoReflect.Descriptor instead.
func (*TechnologyCropProcessingFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP(), []int{1}
}

func (x *TechnologyCropProcessingFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *TechnologyCropProcessingFilter) GetProductId() *wrappers.Int64Value {
	if x != nil {
		return x.ProductId
	}
	return nil
}

func (x *TechnologyCropProcessingFilter) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

type GetTechnologyCropProcessingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetTechnologyCropProcessingRequest) Reset() {
	*x = GetTechnologyCropProcessingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetTechnologyCropProcessingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetTechnologyCropProcessingRequest) ProtoMessage() {}

func (x *GetTechnologyCropProcessingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetTechnologyCropProcessingRequest.ProtoReflect.Descriptor instead.
func (*GetTechnologyCropProcessingRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP(), []int{2}
}

func (x *GetTechnologyCropProcessingRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetTechnologyCropProcessingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *TechnologyCropProcessing `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetTechnologyCropProcessingResponse) Reset() {
	*x = GetTechnologyCropProcessingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetTechnologyCropProcessingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetTechnologyCropProcessingResponse) ProtoMessage() {}

func (x *GetTechnologyCropProcessingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetTechnologyCropProcessingResponse.ProtoReflect.Descriptor instead.
func (*GetTechnologyCropProcessingResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP(), []int{3}
}

func (x *GetTechnologyCropProcessingResponse) GetItem() *TechnologyCropProcessing {
	if x != nil {
		return x.Item
	}
	return nil
}

type ListTechnologyCropProcessingRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *TechnologyCropProcessingFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, created_by, created_at, updated_by, updated_at
	Sortings []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sortings,proto3" json:"sortings,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListTechnologyCropProcessingRequest) Reset() {
	*x = ListTechnologyCropProcessingRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTechnologyCropProcessingRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTechnologyCropProcessingRequest) ProtoMessage() {}

func (x *ListTechnologyCropProcessingRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTechnologyCropProcessingRequest.ProtoReflect.Descriptor instead.
func (*ListTechnologyCropProcessingRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP(), []int{4}
}

func (x *ListTechnologyCropProcessingRequest) GetFilter() *TechnologyCropProcessingFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListTechnologyCropProcessingRequest) GetSortings() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sortings
	}
	return nil
}

func (x *ListTechnologyCropProcessingRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListTechnologyCropProcessingResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*TechnologyCropProcessing           `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListTechnologyCropProcessingResponse) Reset() {
	*x = ListTechnologyCropProcessingResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTechnologyCropProcessingResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTechnologyCropProcessingResponse) ProtoMessage() {}

func (x *ListTechnologyCropProcessingResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_technology_crop_processing_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTechnologyCropProcessingResponse.ProtoReflect.Descriptor instead.
func (*ListTechnologyCropProcessingResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP(), []int{5}
}

func (x *ListTechnologyCropProcessingResponse) GetItems() []*TechnologyCropProcessing {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListTechnologyCropProcessingResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

var File_v1_dictionary_technology_crop_processing_proto protoreflect.FileDescriptor

var file_v1_dictionary_technology_crop_processing_proto_rawDesc = []byte{
	0x0a, 0x2e, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f,
	0x74, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x63, 0x72, 0x6f, 0x70, 0x5f,
	0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x1c, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xd1, 0x08,
	0x0a, 0x18, 0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70,
	0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09,
	0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12, 0x30, 0x0a, 0x14, 0x63, 0x6f, 0x6e,
	0x73, 0x75, 0x6d, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x6d, 0x69,
	0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x6f, 0x72, 0x6d, 0x4d, 0x69, 0x6e, 0x12, 0x30, 0x0a, 0x14, 0x63,
	0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x6f, 0x72, 0x6d, 0x5f,
	0x6d, 0x61, 0x78, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x63, 0x6f, 0x6e, 0x73, 0x75,
	0x6d, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x6f, 0x72, 0x6d, 0x4d, 0x61, 0x78, 0x12, 0x2e, 0x0a,
	0x13, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x74, 0x72, 0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74, 0x5f,
	0x74, 0x65, 0x72, 0x6d, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x6c, 0x61, 0x73, 0x74,
	0x54, 0x72, 0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x65, 0x72, 0x6d, 0x12, 0x2e, 0x0a,
	0x13, 0x6d, 0x61, 0x78, 0x5f, 0x74, 0x72, 0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74, 0x5f, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x6d, 0x61, 0x78, 0x54,
	0x72, 0x65, 0x61, 0x74, 0x6d, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1e, 0x0a,
	0x0a, 0x65, 0x78, 0x70, 0x65, 0x72, 0x69, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0a, 0x65, 0x78, 0x70, 0x65, 0x72, 0x69, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x28, 0x0a,
	0x10, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x75, 0x6e, 0x69, 0x74, 0x5f, 0x74, 0x65, 0x78,
	0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x55,
	0x6e, 0x69, 0x74, 0x54, 0x65, 0x78, 0x74, 0x12, 0x24, 0x0a, 0x0e, 0x61, 0x6d, 0x6f, 0x75, 0x6e,
	0x74, 0x5f, 0x75, 0x6e, 0x69, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x0c, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x49, 0x64, 0x12, 0x24, 0x0a,
	0x0e, 0x61, 0x72, 0x65, 0x61, 0x5f, 0x75, 0x6e, 0x69, 0x74, 0x5f, 0x74, 0x65, 0x78, 0x74, 0x18,
	0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x61, 0x72, 0x65, 0x61, 0x55, 0x6e, 0x69, 0x74, 0x54,
	0x65, 0x78, 0x74, 0x12, 0x20, 0x0a, 0x0c, 0x61, 0x72, 0x65, 0x61, 0x5f, 0x75, 0x6e, 0x69, 0x74,
	0x5f, 0x69, 0x64, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x61, 0x72, 0x65, 0x61, 0x55,
	0x6e, 0x69, 0x74, 0x49, 0x64, 0x12, 0x3b, 0x0a, 0x1a, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x6d, 0x69, 0x6e, 0x5f, 0x66, 0x6c,
	0x75, 0x69, 0x64, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x17, 0x63, 0x6f, 0x6e, 0x73, 0x75,
	0x6d, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x6f, 0x72, 0x6d, 0x4d, 0x69, 0x6e, 0x46, 0x6c, 0x75,
	0x69, 0x64, 0x12, 0x3b, 0x0a, 0x1a, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x5f, 0x6e, 0x6f, 0x72, 0x6d, 0x5f, 0x6d, 0x61, 0x78, 0x5f, 0x66, 0x6c, 0x75, 0x69, 0x64,
	0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x17, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x4e, 0x6f, 0x72, 0x6d, 0x4d, 0x61, 0x78, 0x46, 0x6c, 0x75, 0x69, 0x64, 0x12,
	0x2a, 0x0a, 0x11, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x5f, 0x75, 0x6e, 0x69, 0x74, 0x5f, 0x66,
	0x6c, 0x75, 0x69, 0x64, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x61, 0x6d, 0x6f, 0x75,
	0x6e, 0x74, 0x55, 0x6e, 0x69, 0x74, 0x46, 0x6c, 0x75, 0x69, 0x64, 0x12, 0x26, 0x0a, 0x0f, 0x61,
	0x72, 0x65, 0x61, 0x5f, 0x75, 0x6e, 0x69, 0x74, 0x5f, 0x66, 0x6c, 0x75, 0x69, 0x64, 0x18, 0x0f,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x61, 0x72, 0x65, 0x61, 0x55, 0x6e, 0x69, 0x74, 0x46, 0x6c,
	0x75, 0x69, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x77, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x5f, 0x74, 0x69,
	0x6d, 0x65, 0x18, 0x10, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x77, 0x61, 0x74, 0x69, 0x6e, 0x67,
	0x54, 0x69, 0x6d, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x77, 0x61, 0x74, 0x69, 0x6e, 0x67, 0x5f, 0x74,
	0x65, 0x72, 0x6d, 0x73, 0x18, 0x11, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x77, 0x61, 0x74, 0x69,
	0x6e, 0x67, 0x54, 0x65, 0x72, 0x6d, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x73, 0x18, 0x12, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x73, 0x12, 0x30, 0x0a, 0x04, 0x68, 0x61, 0x73, 0x68, 0x18, 0x15, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52,
	0x04, 0x68, 0x61, 0x73, 0x68, 0x12, 0x34, 0x0a, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62,
	0x79, 0x18, 0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79,
	0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x1a,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x4a, 0x04, 0x08, 0x13, 0x10,
	0x15, 0x22, 0xcb, 0x01, 0x0a, 0x1e, 0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x43, 0x72, 0x6f, 0x70, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x46, 0x69,
	0x6c, 0x74, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x3a, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12, 0x34, 0x0a,
	0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x64, 0x4a, 0x04, 0x08, 0x04, 0x10, 0x15, 0x4a, 0x04, 0x08, 0x15, 0x10, 0x16, 0x22,
	0x34, 0x0a, 0x22, 0x47, 0x65, 0x74, 0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79,
	0x43, 0x72, 0x6f, 0x70, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x71, 0x0a, 0x23, 0x47, 0x65, 0x74, 0x54, 0x65, 0x63, 0x68,
	0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73,
	0x73, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4a, 0x0a, 0x04,
	0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f,
	0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69,
	0x6e, 0x67, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x9d, 0x02, 0x0a, 0x23, 0x4c, 0x69, 0x73,
	0x74, 0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70, 0x50,
	0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x54, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x3c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06,
	0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x48, 0x0a, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e,
	0x67, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53,
	0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x73,
	0x12, 0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xcd, 0x01, 0x0a, 0x24, 0x4c, 0x69, 0x73,
	0x74, 0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70, 0x50,
	0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x4c, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x54, 0x65, 0x63, 0x68, 0x6e, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x43, 0x72, 0x6f, 0x70, 0x50, 0x72,
	0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12,
	0x57, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x68, 0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f,
	0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75, 0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70,
	0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0xba,
	0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_technology_crop_processing_proto_rawDescOnce sync.Once
	file_v1_dictionary_technology_crop_processing_proto_rawDescData = file_v1_dictionary_technology_crop_processing_proto_rawDesc
)

func file_v1_dictionary_technology_crop_processing_proto_rawDescGZIP() []byte {
	file_v1_dictionary_technology_crop_processing_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_technology_crop_processing_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_technology_crop_processing_proto_rawDescData)
	})
	return file_v1_dictionary_technology_crop_processing_proto_rawDescData
}

var file_v1_dictionary_technology_crop_processing_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_dictionary_technology_crop_processing_proto_goTypes = []interface{}{
	(*TechnologyCropProcessing)(nil),             // 0: fcp.dictionary.v1.dictionary.TechnologyCropProcessing
	(*TechnologyCropProcessingFilter)(nil),       // 1: fcp.dictionary.v1.dictionary.TechnologyCropProcessingFilter
	(*GetTechnologyCropProcessingRequest)(nil),   // 2: fcp.dictionary.v1.dictionary.GetTechnologyCropProcessingRequest
	(*GetTechnologyCropProcessingResponse)(nil),  // 3: fcp.dictionary.v1.dictionary.GetTechnologyCropProcessingResponse
	(*ListTechnologyCropProcessingRequest)(nil),  // 4: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingRequest
	(*ListTechnologyCropProcessingResponse)(nil), // 5: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingResponse
	(*wrappers.StringValue)(nil),                 // 6: google.protobuf.StringValue
	(*wrappers.BoolValue)(nil),                   // 7: google.protobuf.BoolValue
	(*timestamp.Timestamp)(nil),                  // 8: google.protobuf.Timestamp
	(*wrappers.Int64Value)(nil),                  // 9: google.protobuf.Int64Value
	(*dictionary_common.Sorting)(nil),            // 10: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 11: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 12: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_technology_crop_processing_proto_depIdxs = []int32{
	6,  // 0: fcp.dictionary.v1.dictionary.TechnologyCropProcessing.hash:type_name -> google.protobuf.StringValue
	7,  // 1: fcp.dictionary.v1.dictionary.TechnologyCropProcessing.deleted:type_name -> google.protobuf.BoolValue
	6,  // 2: fcp.dictionary.v1.dictionary.TechnologyCropProcessing.created_by:type_name -> google.protobuf.StringValue
	8,  // 3: fcp.dictionary.v1.dictionary.TechnologyCropProcessing.created_at:type_name -> google.protobuf.Timestamp
	6,  // 4: fcp.dictionary.v1.dictionary.TechnologyCropProcessing.updated_by:type_name -> google.protobuf.StringValue
	8,  // 5: fcp.dictionary.v1.dictionary.TechnologyCropProcessing.updated_at:type_name -> google.protobuf.Timestamp
	9,  // 6: fcp.dictionary.v1.dictionary.TechnologyCropProcessingFilter.id:type_name -> google.protobuf.Int64Value
	9,  // 7: fcp.dictionary.v1.dictionary.TechnologyCropProcessingFilter.product_id:type_name -> google.protobuf.Int64Value
	7,  // 8: fcp.dictionary.v1.dictionary.TechnologyCropProcessingFilter.deleted:type_name -> google.protobuf.BoolValue
	0,  // 9: fcp.dictionary.v1.dictionary.GetTechnologyCropProcessingResponse.item:type_name -> fcp.dictionary.v1.dictionary.TechnologyCropProcessing
	1,  // 10: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingRequest.filter:type_name -> fcp.dictionary.v1.dictionary.TechnologyCropProcessingFilter
	10, // 11: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingRequest.sortings:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	11, // 12: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 13: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingResponse.items:type_name -> fcp.dictionary.v1.dictionary.TechnologyCropProcessing
	12, // 14: fcp.dictionary.v1.dictionary.ListTechnologyCropProcessingResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	15, // [15:15] is the sub-list for method output_type
	15, // [15:15] is the sub-list for method input_type
	15, // [15:15] is the sub-list for extension type_name
	15, // [15:15] is the sub-list for extension extendee
	0,  // [0:15] is the sub-list for field type_name
}

func init() { file_v1_dictionary_technology_crop_processing_proto_init() }
func file_v1_dictionary_technology_crop_processing_proto_init() {
	if File_v1_dictionary_technology_crop_processing_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_technology_crop_processing_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TechnologyCropProcessing); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_technology_crop_processing_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TechnologyCropProcessingFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_technology_crop_processing_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetTechnologyCropProcessingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_technology_crop_processing_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetTechnologyCropProcessingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_technology_crop_processing_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTechnologyCropProcessingRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_technology_crop_processing_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTechnologyCropProcessingResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_technology_crop_processing_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_technology_crop_processing_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_technology_crop_processing_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_technology_crop_processing_proto_msgTypes,
	}.Build()
	File_v1_dictionary_technology_crop_processing_proto = out.File
	file_v1_dictionary_technology_crop_processing_proto_rawDesc = nil
	file_v1_dictionary_technology_crop_processing_proto_goTypes = nil
	file_v1_dictionary_technology_crop_processing_proto_depIdxs = nil
}
